/* --COPYRIGHT--,BSD
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//! \file   drivers/drvic/pga411q1/src/32b/f28x/f2806x/pga411q1.c
//! \brief  Contains the various functions related to the PGA411Q1 object
//!
//! (C) Copyright 2015, Texas Instruments, Inc.


// **************************************************************************
// the includes

#include <math.h>


// **************************************************************************
// drivers
#include "sw/drivers/drvic/pga411q1/src/32b/f28x/f2806x/pga411q1.h"


// **************************************************************************
// modules


// **************************************************************************
// platforms


// **************************************************************************
// the defines


// **************************************************************************
// the globals


// **************************************************************************
// the function prototypes


PGA411Q1_Handle PGA411Q1_init(void *pMemory,const size_t numBytes)
{
  PGA411Q1_Handle handle;

  if(numBytes < sizeof(PGA411Q1_Obj))
    return((PGA411Q1_Handle)NULL);

  // assign the handle
  handle = (PGA411Q1_Handle)pMemory;

  PGA411Q1_resetRxTimeout(handle);
  PGA411Q1_resetEnableTimeout(handle);

  return(handle);
} // end of PGA411Q1_init() function


void PGA411Q1_setSpiHandle(PGA411Q1_Handle handle,SPI_Handle spiHandle)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the serial peripheral interface object
  obj->spiHandle = spiHandle;

  return;
} // end of PGA411Q1_setSpiHandle() function


void PGA411Q1_setGpioHandle(PGA411Q1_Handle handle,GPIO_Handle gpioHandle)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioHandle = gpioHandle;

  return;
} // end of PGA411Q1_setGpioHandle() function


void PGA411Q1_setGpioSpiCsNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioSpiCsNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioSpiCsNumber() function

void PGA411Q1_setGpioVa0Number(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioVa1Number = gpioNumber;

  return;
} // end of PGA411Q1_setGpioVa0Number() function

void PGA411Q1_setGpioVa1Number(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioVa1Number = gpioNumber;

  return;
} // end of PGA411Q1_setGpioVa1Number() function

void PGA411Q1_setGpioAmodeNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioAmodeNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioAmodeNumber() function

void PGA411Q1_setGpioBmode0Number(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioBmode0Number = gpioNumber;

  return;
} // end of PGA411Q1_setGpioBmode0Number() function

void PGA411Q1_setGpioOmodeNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioOmodeNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioOmodeNumber() function

void PGA411Q1_setGpioInhbNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioInhbNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioInhbNumber() function

void PGA411Q1_setGpioFaultNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioFaultNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioFaultNumber() function

void PGA411Q1_setGpioSFaultResNumber(PGA411Q1_Handle handle,GPIO_Number_e gpioNumber)
{
  PGA411Q1_Obj *obj = (PGA411Q1_Obj *)handle;

  // initialize the gpio interface object
  obj->gpioFaultResNumber = gpioNumber;

  return;
} // end of PGA411Q1_setGpioSFaultResNumber() function

void PGA411Q1_setupSpi(PGA411Q1_Handle handle, RDC_SPI_PGA411_Vars_t *Spi_pga411q1_Vars)
{

  return;
}

// end of file
