/* --COPYRIGHT--,BSD
 * Copyright (c) 2012, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
/*!
 * @file   modules/dlog/src/16b/DLOG.c
 * @author  Texas Instruments (C) Copyright 2012 (Assisted by D3 Engineering Tech Team)
 * @date    5-7-2012
 * @version 1.0
 * @brief   This file contains DLOG arrays
 */

#include "modules/iqmath/src/16b/msp430/fr5739/IQmathLib.h"
#include "modules/types/src/16b/types.h"
#include "modules/dlog/src/16b/DLOG.h"

#pragma DATA_SECTION(gDLog4CHBuff1,"DLOG");
_iq gDLog4CHBuff1[DLOG_ARRAY_SIZE];
#pragma DATA_SECTION(gDLog4CHBuff2,"DLOG");
_iq gDLog4CHBuff2[DLOG_ARRAY_SIZE];

/*!
 * @ingroup         DLOG_Init
 * @fn              DLOG_Handle DLOG_Init(void *pMemory, const size_t numBytes)
 * @brief           Function to initialize the DLOG handler
 * @param [in]      pMemory		Pointer to the address where the DLOG Handler should go
 * @param [in]		numBytes	Number of bytes available for the DLOG Handler
 * @return          DLOG_Handle	Returns the initialized DLOG_Handle
 */
DLOG_Handle DLOG_Init(void *pMemory, const size_t numBytes)
{
	DLOG_Handle dlogHandle;

  if(numBytes < sizeof(DLOG_Obj))
    return((DLOG_Handle)NULL);

  // assign the handle
  dlogHandle = (DLOG_Handle)pMemory;

  return(dlogHandle);
}

