// documentation page
//!
//!
//! \defgroup QUEUE_OVERVIEW Module overview
//@{
//! \page queue Queue (QUEUE) Module
//!
//! \section description Description
//!
//!
//!The queue manager (\ref QUEUE) implements an array of multiple queues of events or tasks.
//!These events are user functions that are posted on the queue for execution.
//!Usually the way the queue works is by posting events in the main interrupt
//!service routine (ISR), and then all the posted events are executed in the
//!main subroutine, out of the ISR.\n
//!
//!Note: If queue manager is deemed too much overhead for a given 
//!application, can easily revert to a single ISR with inline functions by replacing
//!event posting functions with event execution functions.\n\n
//!The following figure shows how a typical interrupt service routine (ISR) pushes
//!Events or tasks to the queue to be executed outside of the ISR.
//!\n\n\n
//! \image html mainISRQueue.jpg
//!\n\n\n
//!The following state machine represents a typical user's code, where the queue manager
//!listens to events posted, and executed all events in a First In First Out fashion (FIFO) unless
//!the user posts something on top of the queue by executing the QUEUE_postEventFirst() function.
//!\n\n\n
//! \image html mainQueue.jpg
//!\n\n\n
//! \section configuration Configuration Information
//! Before using the \ref QUEUE manager, an initialization subroutins is needed to set all events to zero,
//! and get everything initialized. Please see the QUEUE_init() functions define in \ref queue.h for
//! more details.
//! \section integration Integration Information
//!
//! There is only one module in this package, the APIs can be referenced at
//! \ref QUEUE. The API headers can be located at queue.h.
//! The test procedures are described at test_queue.h.
//!
//!
//!
//@}
