// documentation page
//!
//!
//! \defgroup SVGEN_OVERVIEW Module overview
//@{
//! \page svgen Space Vector Generator (SVGEN) Module
//!
//! \section description Description
//!
//!
//! \subsection overview Package overview
//!
//! The Space Vector Pulse Width Modulation (SVPWM) refers to a special switching sequence of the upper 
//! three power devices of a three-phase voltage source inverters (VSI) used in application such as AC 
//! induction and permanent magnet synchronous motor drives. This special switching scheme for the power 
//! devices results in 3 pseudo-sinusoidal currents in the stator phases.
//! \image html Inverter.jpg 
//! It has been shown that SVPWM generates less harmonic distortion in the output voltages or currents in 
//! the windings of the motor load and provides more efficient use of DC supply voltage, in comparison to 
//! direct sinusoidal modulation technique.
//! For the three phase power inverter configurations shown in Figure 1, there are eight possible 
//! combinations of on and off states of the upper power transistors. These combinations and the resulting 
//! instantaneous output line-to-line and phase voltages, for a dc bus voltage of VDC, are shown in Table 1.
//! \image html Table1.jpg 
//! By multiplexing in time the outputs of the inverter, it is possible to create AC signals with the inverter shown
//! above. The typical output wafeforms from space vector modulation are shown in the following figure. For this
//! particular SVM example, alternating null vectors are used:
//! \image html SVMoutputs.jpg 
//! \section simulation Simulation Information
//! The following figure shows a top level simulation model in Simulink.\n\n
//! \image html SimulinkModel.jpg 
//! The following figure shows the error in the calculation by the microcontroller,
//! and compares it agains simulation output from Simulink.\n
//! \f$\bullet\f$ Errors Ta, Tb and Tc are the microcontroller output minus Simulink output for function SVGEN_run().\n
//! \f$\bullet\f$ Outputs shows both microcontroller and Simulink outputs for one output of SVGEN_run().\n
//! \image html SimOutput.jpg
//! \section configuration Configuration Information
//! Please see the SVGEN_init(), SVGEN_setup() and SVGEN_run() functions define in \ref svgen.h for 
//! more details.
//! \section integration Integration Information
//! There is only one module in this package, the APIs can be referenced at
//! \ref SVGEN. The API headers can be located at \ref svgen.h.
//! The test procedures are described at test_svgen.h.
//! 
//! \section reference References
//! 1.	ControlSUITE Documentation for \ref SVGEN Module. 
//!
//!
//@}
