//----------------------------------------------------------------------------------
//	FILE:			drv8305.h
//
//	Description:	Contains DRV8305.c declarations
//
//	Version: 		1.0
//
//  Target:  		TMS320F28377S
//
//----------------------------------------------------------------------------------
//  Copyright Texas Instruments 2004-2015
//----------------------------------------------------------------------------------
//  Revision History:
//----------------------------------------------------------------------------------
//  Date	  | Description / Status
//----------------------------------------------------------------------------------
// 4 Nov 2015 - DRV8305.c declarations
//----------------------------------------------------------------------------------

#ifndef DRV8305_H_
#define DRV8305_H_

#include "sw/modules/types/src/types.h"
#include "sw/modules/usDelay/src/32b/usDelay.h"

#include "sw/safety/com_spi/src/32b/f28x/com_spi.h"
#include "sw/safety/drv8305q1/src/32b/f28x/f2806x/drv8305q1_defs.h"
#include "sw/safety/drv8305q1/src/32b/f28x/f2806x/drv8305q1_spi.h"

/*****************************************************************************/
// function prototypes
/*****************************************************************************/
void DRV8305_InitRegs(DRV8305_Vars_t *drv8305q1);
void DRV8305_Init(DRV8305_Vars_t *drv8305q1);

void DRV8305_enable(DRV8305_Vars_t *drv8305q1);
void DRV8305_readStat(DRV8305_Vars_t *drv8305q1);
void DRV8305_writeCmd(DRV8305_Vars_t *drv8305q1);
void DRV8305_readCmd(DRV8305_Vars_t *drv8305q1);

extern DRV8305_Vars_t gDrv8305Vars;

//=============================================================================

#endif /* DRV8305_H_ */
