//----------------------------------------------------------------------------------
//	FILE:			drv830x_SPI.h
//
//	Description:	Contains DRV830x SPI driver declaration
//
//	Version: 		1.0
//
//  Target:  		TMS320F28377S
//
//----------------------------------------------------------------------------------
//  Copyright Texas Instruments 2004-2015
//----------------------------------------------------------------------------------
//  Revision History:
//----------------------------------------------------------------------------------
//  Date	  | Description / Status
//----------------------------------------------------------------------------------
// 4 Nov 2015 - DRV830x SPI driver declaration
//----------------------------------------------------------------------------------

//============================================================================
//============================================================================
#ifndef _DRV830x_SPI_H
#define _DRV830x_SPI_H

#include "sw/modules/types/src/types.h"
#include "sw/modules/usDelay/src/32b/usDelay.h"

/*****************************************************************************/
//function prototypes
/*****************************************************************************/
void DRV8305_InitSPI(void);
uint16_t DRV8305_SPI_Driver(uint16_t data);
uint16_t DRV8305_SPI_Read(uint16_t address);
uint16_t DRV8305_SPI_Write(uint16_t address, uint16_t data);

//=============================================================================
// DRV830x SPI Input Data bit definitions:
struct  DRV830x_SPI_WRITE_WORD_BITS {       // bit    	description
   uint16_t DATA:11;          				// 10:0		FIFO reset
   uint16_t ADDRESS:4;        				// 14:11	Enhancement enable
   uint16_t R_W:1;          			    // 15		R/W
};

union DRV830x_SPI_WRITE_WORD_REG {
   uint16_t               				all;
   struct DRV830x_SPI_WRITE_WORD_BITS	bit;
};

//=============================================================================
#endif
