/*
 *
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/**
 * @file   tpsQaWd.h
 * @author Christian Herget
 * @date   2/3/2017
 * @brief  Header file for TPS65381 Question and Answer Watchdog driver
 *
 */

#ifndef TPSQAWD_H_
#define TPSQAWD_H_

#include <stdint.h>

typedef enum
{
	open,
	close
} WDWindow_t;

void tpsQaWdLaunchDemo(void);

void tpsQaWdOpenWinAnswr(void);
void tpsQaWdCloseWinAnswr(void);

uint8_t  tpsQaWdCalcAnswr (uint8_t ui8Token);
uint8_t  tpsQaWdConfigure (uint8_t ui8Topen, uint8_t ui8Tclose);

uint8_t  tpsQaWdGetAnswrCnt(void);
uint8_t  tpsQaWdGetToken(void);

uint16_t tpsQaWdIsTimeOut(void);

void     tpsQaWdClearErrorCnt(void);
uint8_t  tpsQaWdReadFailCount(void);

void setDelay (uint32_t delay); /* Accesses RTI */



#endif /* TPSQAWD_H_ */
